// ball.h

#ifndef Ball_H_INCLUDED
#define Ball_H_INCLUDED

#include <SDL.h>
#include <SDL_image.h>
#include <vector>
#include <cmath>
#include <ctime>

#include "Graphics.h"
#include "define.h"

using namespace std;

class Ball
{

public:

    Ball(int, int);
    ~Ball();

    void Draw();
    void Update();
    void CheckWallCollision();
    int Getx();
    int Gety();

    void BallCollision(Ball*);
    bool CheckBallCollision(Ball*);
    static void CreateOnClick(int, int);
    static vector<Ball*> vBall;
    static void Delete();


private:

    float x;
    float y;

    float xspeed;
    float yspeed;

    float mass;

    SDL_Surface *BallIMG;
};
#endif // Ball_H_INCLUDED
